.blog {
    &-archive {
        &-content {
            @include wrapper-padding();
            background: #f5f5f5;

            h1 {
                font-size: 24px;
                margin-bottom: 30px;
                margin-top: 20px;
                text-align: center;
            }

            h3 {
                font-size: 1.50em;
            }

            p {
                font-size: 14px;
            }

        }

        &-entry {
            padding: 20px;
            background-size: cover;
            background-position: center;
            position: relative;
            min-height: 250px;
            margin-bottom: 20px;
            overflow: hidden;

            > * {
                position: relative;
                z-index: 1;
            }

            &:after {
                content: "";
                display: block;
                position: absolute;
                z-index: 0;
                top: 0px;
                right: 0;
                bottom: 0;
                left: 0;
                background: linear-gradient(to bottom, rgba(0,0,0,0.15) 0%, rgba(0,0,0,0.85) 100%);
                transition: top .3s;
            }

            &:hover:after {
                top: -200px;
            }
        }
    }

    &-post {
        &-cover {
            width: 100%;
            min-height: 250px;
            background-attachment: fixed;
            background-position: center top;
            background-repeat: no-repeat;
            background-size: 100% auto;
            position: relative;
            color: #fff;

            &-content {
                padding: 10% 5% 5% 10%;
                position: relative;
                z-index: 1;
            }

            &:after {
                content: "";
                display: block;
                position: absolute;
                z-index: 0;
                top: 0;
                right: 0;
                bottom: 0;
                left: 0;
                background: linear-gradient(to bottom, rgba(0,0,0,0.4) 0%, rgba(0,0,0,0.85) 100%);

                &-hover {
                     background: linear-gradient(to bottom, rgba(0,0,0,0.4) 0%, rgba(0,0,0,1.0) 100%)
                }
            }
        }

        &-content {
            @include wrapper-padding();
            background: #f5f5f5;

            main {
                margin-bottom: 40px;

                iframe {
                    margin: 20px auto;
                    display: block;
                }
            }

            * ~ h4 {
                margin-top: 28px;
            }

            a {
                color: $link-color;
                text-decoration: underline;
            }
        }
    }
}

.text-muted a {
    color: #818a91;
}


@media screen and (max-width: 480px) {
    .blog-archive-entry {
        min-height: 300px;
    }
}

@media (min-width: 601px) and (max-width: 768px) {
    .blog-archive-entry {
        min-height: 370px;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .blog-archive-entry {
        min-height: 330px;
    }

    .blog-archive-content h3 {
        font-size: 1.25em;
    }
}

@media (min-width: 1025px) and (max-width: 1280px) {
    .blog-archive-entry {
        min-height: 270px;
    }
}

.icon-blog i {
    font-size: 80px;
}

@media (max-width: 1024px) {
    .blog-post-cover {
        background-size: cover;
    }

    .display-2 {
        font-size: 2.5rem;
    }
}
